package controller

import (
	"fmt"

	"nms_nbi/src/framework/config"
	"nms_nbi/src/framework/vo/result"

	"github.com/gin-gonic/gin"
)

// 实例化控制层 IndexController 结构体
var NewIndex = &IndexController{}

// 路由主页
//
// PATH /
type IndexController struct{}

// 根路由
//
// GET /
func (s *IndexController) Handler(c *gin.Context) {
	name := config.Get("framework.name").(string)
	version := config.Get("framework.version").(string)
	// str := "欢迎使用%s核心网管理平台，当前版本：%s，请通过前台地址访问。"
	str := "Welcome to the %s Core Network Management Platform, current version: %s, please access via the frontend address."
	c.JSON(200, result.OkMsg(fmt.Sprintf(str, name, version)))
}
